import { DriverInterface } from '@cubejs-backend/query-orchestrator';
export interface DriverTestsOptions {
    expectStringFields?: boolean;
    csvNoHeader?: boolean;
    wrapLoadQueryWithCtas?: boolean;
    delimiter?: string;
}
export declare class DriverTests {
    readonly driver: DriverInterface;
    private readonly options;
    constructor(driver: DriverInterface, options?: DriverTestsOptions);
    release(): Promise<void>;
    static QUERY: string;
    static ROWS: ({
        id: number;
        amount: number;
        status: string;
    } | {
        id: number;
        amount: number;
        status: null;
    })[];
    protected getExpectedCsvRows(): string;
    testQuery(): Promise<void>;
    testStream(): Promise<void>;
    testUnload(): Promise<void>;
    testUnloadEscapeSymbolOp1(Driver: any): Promise<void>;
    testUnloadEscapeSymbolOp2(Driver: any): Promise<void>;
    testUnloadEscapeSymbolOp3(Driver: any): Promise<void>;
    testUnloadEmpty(): Promise<void>;
    private createUnloadTable;
    private static skipFirstLine;
    private static rowsToString;
}
//# sourceMappingURL=DriverTests.d.ts.map